#This file is used for testing the server. because of that, it doesn't use the release files and build the container itself
version: '2.1'
services:
  url_shorter:
    build: .
    volumes:
      - url_shorter_db:/app/db #Used to store the database
    ports:
      - "5000:5000"
    environment:
      - domains= #List of domains (with port if not 80/443) seperated with ";"
      - show_build_date=0 #Disable this, if you don't want to see the builddate
      - show_version=0 #Normaly disable this.
      - production=1 #Enable this, if you want to run the server in production
      - url_scheme=https #If you use a reverse Proxy with https set this to https
      - recaptcha_private= #Please enter here your private Key for google recaptcha
      - recaptcha_public= #Please enter here your public Key for google recaptcha
      - host=0.0.0.0 #With this variable you can set the access ip range. 127.0.0.1 means you can only access it from the local network and 0.0.0.0 means everyone can access it.
      - GITHUB_CLIENT_ID= #You have to set these four variables, if not the shorter will not run. To get the github keys visit https://github.com/settings/developers and register a new oauth application. The callback path is /user/github-callback
      - GITHUB_CLIENT_SECRET= 
      - GOOGLE_CLIENT_ID=
      - GOOGLE_CLIENT_SECRET=
      - cookieNotice=1 #If you don't want to see the cookie notice set this to 0
volumes:
  url_shorter_db: